링크
GET https://u.page/api/links/
curl --request GET \
--url 'https://u.page/api/links/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://u.page/api/links/' \
--header 'Authorization: Bearer {api_key}' \
| 매개변수 | 세부 사항 | 설명 |
|---|---|---|
| search | 선택 사항 문자열 | 검색 문자열 |
| search_by | 선택 사항 문자열 | 어떤 필드로 검색하고 있습니까. 허용되는 값은: url, location_url입니다. |
| is_enabled | 선택 사항 부울 | |
| domain_id | 선택 사항 정수 | |
| type | 선택 사항 문자열 |
biolink, link, file, vcard, event, static |
| datetime_field | 선택 사항 문자열 | 허용된 값: datetime, last_datetime |
| datetime_start | 선택 사항 문자열 | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | 선택 사항 문자열 | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | 선택 사항 문자열 | 결과를 어떤 필드로 정렬할까요. 허용되는 값은: link_id, datetime, last_datetime, clicks, url. |
| order_type | 선택 사항 문자열 | 결과의 정렬 순서입니다. 허용되는 값은 오름차순 정렬을 위한 ASC와 내림차순 정렬을 위한 DESC입니다. |
| page | 선택 사항 정수 | 원하는 결과를 얻고 싶은 페이지 번호입니다. 기본값은 1입니다. |
| results_per_page | 선택 사항 정수 | 한 페이지당 원하는 결과 수는 10, 25, 50, 100, 250, 500, 1000입니다. 허용되는 값은 25입니다. 기본값은입니다. |
{
"data": [
{
"id": 1,
"user_id": 1,
"project_id": 1,
"domain_id": 1,
"pixels_ids": [],
"email_reports": [],
"biolink_theme_id": 1,
"type": "Example",
"url": "https://example.com/",
"location_url": "https://example.com/",
"settings": [],
"clicks": 1,
"start_date": "Example",
"end_date": "Example",
"is_verified": true,
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-09-14 01:37:41"
}
],
"meta": {
"page": 1,
"total_pages": 1,
"results_per_page": 25,
"total_results": 1
},
"links": {
"first": "https://u.page/api/links?page=1",
"last": "https://u.page/api/links?page=1",
"next": null,
"prev": null,
"self": "https://u.page/api/links?page=1"
}
}
GET https://u.page/api/links/{link_id}
curl --request GET \
--url 'https://u.page/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://u.page/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"project_id": 1,
"domain_id": 1,
"pixels_ids": [],
"email_reports": [],
"biolink_theme_id": 1,
"type": "Example",
"url": "https://example.com/",
"location_url": "https://example.com/",
"settings": [],
"clicks": 1,
"start_date": "Example",
"end_date": "Example",
"is_verified": true,
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-09-14 01:37:41"
}
}
POST https://u.page/api/links
| 매개변수 | 세부 사항 | 설명 |
|---|---|---|
| type | 선택 사항 문자열 | link |
| location_url | 필요합니다 문자열 | 목적지의 URL.Available when: is_bulk = 0 |
| location_urls | 필요합니다 문자열 | 목적지의 URL.Available when: is_bulk = 1 |
| url | 선택 사항 문자열 | 생성된 링크의 URL 별칭입니다. 무작위로 생성하려면 비워 두세요.Available when: is_bulk = 0 |
| is_bulk | 선택 사항 부울 | |
| domain_id | 선택 사항 정수 | - |
| project_id | 선택 사항 정수 | - |
| pixels_ids | 선택 사항 배열 정수 | - |
| email_reports | 선택 사항 배열 | Notification handler ids |
| schedule | 선택 사항 부울 | - |
| start_date | 선택 사항 문자열 | Available when: schedule = true |
| end_date | 선택 사항 문자열 | Available when: schedule = true |
| clicks_limit | 선택 사항 정수 | - |
| expiration_url | 선택 사항 문자열 | - |
| sensitive_content | 선택 사항 부울 | - |
| http_status_code | 선택 사항 정수 | 허용된 값: 301, 302, 307, 308 |
| app_linking_is_enabled | 선택 사항 부울 | - |
| cloaking_is_enabled | 선택 사항 부울 | - |
| cloaking_title | 선택 사항 문자열 | - |
| cloaking_meta_description | 선택 사항 문자열 | - |
| cloaking_custom_js | 선택 사항 문자열 | - |
| cloaking_favicon | 선택 사항 파일 | - |
| cloaking_opengraph | 선택 사항 파일 | - |
| password | 선택 사항 문자열 | - |
| forward_query_parameters_is_enabled | 선택 사항 부울 | - |
| seo_block | 선택 사항 부울 | - |
| utm_source | 선택 사항 문자열 | - |
| utm_medium | 선택 사항 문자열 | - |
| utm_campaign | 선택 사항 문자열 | - |
| targeting_type | 선택 사항 문자열 | continent_code, country_code, device_type, browser_language, rotation, os_name, browser_name |
| targeting_continent_code_key[index] | 선택 사항 문자열 | Available when: targeting_type = continent_code |
| targeting_continent_code_value[index] | 선택 사항 문자열 | Available when: targeting_type = continent_code |
| targeting_country_code_key[index] | 선택 사항 문자열 | Available when: targeting_type = country_code |
| targeting_country_code_value[index] | 선택 사항 문자열 | Available when: targeting_type = country_code |
| targeting_city_name_key[index] | 선택 사항 문자열 | Available when: targeting_type = city_name |
| targeting_city_name_value[index] | 선택 사항 문자열 | Available when: targeting_type = city_name |
| targeting_device_type_key[index] | 선택 사항 문자열 | Available when: targeting_type = device_type |
| targeting_device_type_value[index] | 선택 사항 문자열 | Available when: targeting_type = device_type |
| targeting_browser_language_key[index] | 선택 사항 문자열 | Available when: targeting_type = browser_language |
| targeting_browser_language_value[index] | 선택 사항 문자열 | Available when: targeting_type = browser_language |
| targeting_rotation_key[index] | 선택 사항 문자열 | Available when: targeting_type = rotation |
| targeting_rotation_value[index] | 선택 사항 문자열 | Available when: targeting_type = rotation |
| targeting_os_name_key[index] | 선택 사항 문자열 | Available when: targeting_type = os_name |
| targeting_os_name_value[index] | 선택 사항 문자열 | Available when: targeting_type = os_name |
| targeting_browser_name_key[index] | 선택 사항 문자열 | Available when: targeting_type = browser_name |
| targeting_browser_name_value[index] | 선택 사항 문자열 | Available when: targeting_type = browser_name |
| is_enabled | 선택 사항 부울 | - |
curl --request POST \
--url 'https://u.page/api/links' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'url=example' \
--form 'location_url=https://u.page/' \
--url 'https://u.page/api/links' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'url=example' \
--form 'location_url=https://u.page/' \
{
"data": {
"id": 1
}
}
POST https://u.page/api/links/{link_id}
| 매개변수 | 세부 사항 | 설명 |
|---|---|---|
| location_url | 선택 사항 문자열 | 목적지의 URL. |
| url | 선택 사항 문자열 | 생성된 링크의 URL 별칭입니다. 무작위로 생성하려면 비워 두세요. |
| domain_id | 선택 사항 정수 | - |
| project_id | 선택 사항 정수 | - |
| pixels_ids | 선택 사항 배열 정수 | - |
| email_reports | 선택 사항 배열 | Notification handler ids |
| schedule | 선택 사항 부울 | - |
| start_date | 선택 사항 문자열 | Available when: schedule = true |
| end_date | 선택 사항 문자열 | Available when: schedule = true |
| clicks_limit | 선택 사항 정수 | - |
| expiration_url | 선택 사항 문자열 | - |
| sensitive_content | 선택 사항 부울 | - |
| http_status_code | 선택 사항 정수 | 허용된 값: 301, 302, 307, 308 |
| app_linking_is_enabled | 선택 사항 부울 | - |
| cloaking_is_enabled | 선택 사항 부울 | - |
| cloaking_title | 선택 사항 문자열 | - |
| cloaking_meta_description | 선택 사항 문자열 | - |
| cloaking_custom_js | 선택 사항 문자열 | - |
| cloaking_favicon | 선택 사항 파일 | - |
| cloaking_opengraph | 선택 사항 파일 | - |
| password | 선택 사항 문자열 | - |
| forward_query_parameters_is_enabled | 선택 사항 부울 | - |
| seo_block | 선택 사항 부울 | - |
| utm_source | 선택 사항 문자열 | - |
| utm_medium | 선택 사항 문자열 | - |
| utm_campaign | 선택 사항 문자열 | - |
| targeting_type | 선택 사항 문자열 | continent_code, country_code, device_type, browser_language, rotation, os_name, browser_name |
| targeting_continent_code_key[index] | 선택 사항 문자열 | Available when: targeting_type = continent_code |
| targeting_continent_code_value[index] | 선택 사항 문자열 | Available when: targeting_type = continent_code |
| targeting_country_code_key[index] | 선택 사항 문자열 | Available when: targeting_type = country_code |
| targeting_country_code_value[index] | 선택 사항 문자열 | Available when: targeting_type = country_code |
| targeting_city_name_key[index] | 선택 사항 문자열 | Available when: targeting_type = city_name |
| targeting_city_name_value[index] | 선택 사항 문자열 | Available when: targeting_type = city_name |
| targeting_device_type_key[index] | 선택 사항 문자열 | Available when: targeting_type = device_type |
| targeting_device_type_value[index] | 선택 사항 문자열 | Available when: targeting_type = device_type |
| targeting_browser_language_key[index] | 선택 사항 문자열 | Available when: targeting_type = browser_language |
| targeting_browser_language_value[index] | 선택 사항 문자열 | Available when: targeting_type = browser_language |
| targeting_rotation_key[index] | 선택 사항 문자열 | Available when: targeting_type = rotation |
| targeting_rotation_value[index] | 선택 사항 문자열 | Available when: targeting_type = rotation |
| targeting_os_name_key[index] | 선택 사항 문자열 | Available when: targeting_type = os_name |
| targeting_os_name_value[index] | 선택 사항 문자열 | Available when: targeting_type = os_name |
| targeting_browser_name_key[index] | 선택 사항 문자열 | Available when: targeting_type = browser_name |
| targeting_browser_name_value[index] | 선택 사항 문자열 | Available when: targeting_type = browser_name |
| is_enabled | 선택 사항 부울 | - |
| link_id | 선택 사항 정수 | - |
curl --request POST \
--url 'https://u.page/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'is_enabled=0' \
--url 'https://u.page/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'is_enabled=0' \
{
"data": {
"id": 1,
"user_id": 1,
"project_id": 1,
"domain_id": 1,
"pixels_ids": [],
"email_reports": [],
"biolink_theme_id": 1,
"type": "Example",
"url": "https://example.com/",
"location_url": "https://example.com/",
"settings": [],
"clicks": 1,
"start_date": "Example",
"end_date": "Example",
"is_verified": 1,
"is_enabled": 1,
"last_datetime": null,
"datetime": "2026-09-14 01:37:41"
}
}
DELETE https://u.page/api/links/{link_id}
curl --request DELETE \
--url 'https://u.page/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://u.page/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \